import request from '@/utils/request'

// 查询附件信息列表
export function listBaseAttachInfo(query) {
  return request({
    url: '/mes/baseAttachInfo/list',
    method: 'get',
    params: query
  })
}

// 查询附件信息详细
export function getBaseAttachInfo(attachId) {
  return request({
    url: '/mes/baseAttachInfo/' + attachId,
    method: 'get'
  })
}

// 新增附件信息
export function addBaseAttachInfo(data) {
  return request({
    url: '/mes/baseAttachInfo',
    method: 'post',
    data: data
  })
}

// 修改附件信息
export function updateBaseAttachInfo(data) {
  return request({
    url: '/mes/baseAttachInfo',
    method: 'put',
    data: data
  })
}

// 删除附件信息
export function delBaseAttachInfo(attachId) {
  return request({
    url: '/mes/baseAttachInfo/' + attachId,
    method: 'delete'
  })
}
